Package org.jfree.layouting.normalizer.displaymodel

## Class EmptyModelBuilder

- java.lang.Object
- - org.jfree.layouting.normalizer.displaymodel.EmptyModelBuilder

- All Implemented Interfaces:
    `ModelBuilder`, `StatefullComponent`

      public class EmptyModelBuilder
      extends java.lang.Object
      implements ModelBuilder

  Creation-Date: 31.05.2006, 16:26:04
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmptyModelBuilder​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addContent​(ContentToken content)` |
    `void` | `endDocument​()` |
    `void` | `endElement​()` |
    `Renderer` | `getRenderer​()` |
    `void` | `handlePageBreak​(PageContext pageContext)` |
    `State` | `saveState​()` |
    `void` | `startDocument​(PageContext pageContext)` |
    `void` | `startElement​(LayoutContext layoutContext)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyModelBuilder

          public EmptyModelBuilder​()

  - ### Method Detail

    - #### startDocument

          public void startDocument​(PageContext pageContext)

      Specified by:
        `startDocument` in interface `ModelBuilder`

    - #### startElement

          public void startElement​(LayoutContext layoutContext)
                            throws NormalizationException

      Specified by:
        `startElement` in interface `ModelBuilder`
      Throws:
        `NormalizationException`

    - #### addContent

          public void addContent​(ContentToken content)
                          throws NormalizationException

      Specified by:
        `addContent` in interface `ModelBuilder`
      Throws:
        `NormalizationException`

    - #### endDocument

          public void endDocument​()

      Specified by:
        `endDocument` in interface `ModelBuilder`

    - #### endElement

          public void endElement​()

      Specified by:
        `endElement` in interface `ModelBuilder`

    - #### handlePageBreak

          public void handlePageBreak​(PageContext pageContext)

      Specified by:
        `handlePageBreak` in interface `ModelBuilder`

    - #### saveState

          public State saveState​()
                          throws StateException

      Specified by:
        `saveState` in interface `StatefullComponent`
      Throws:
        `StateException`

    - #### getRenderer

          public Renderer getRenderer​()

      Specified by:
        `getRenderer` in interface `ModelBuilder`